| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class MyCompiler

    java.lang.Object
      |
      +--JavaParser
            |
            +--MyCompiler

public class MyCompiler
extends JavaParser

Nested Class Summary
`static class` | `JavaParser.yyException` thrown for irrecoverable syntax errors and stack overflow.
`static interface` | `JavaParser.yyInput` must be implemented by a scanner object to supply input to the parser.

Field Summary
`static int` | `ABSTRACT`
`static int` | `ANDEQUAL`
`static int` | `BOOLEAN`
`static int` | `BOOLLITERAL`
`static int` | `BRACE`
`static int` | `BREAK`
`static int` | `CASE`
`static int` | `CATCH`
`static int` | `CHAR`
`static int` | `CHARLITERAL`
`static int` | `CLASS`
`static int` | `CONTINUE`
`static int` | `DECREMENT`
`static int` | `DEFAULT`
`static int` | `DIVIDEEQUAL`
`static int` | `DO`
`static int` | `ELSE`
`static int` | `EOF`
`static int` | `EQUAL`
`static int` | `EXTENDS`
`static int` | `FINALLY`
`static int` | `FOR`
`static int` | `GREATEREQUAL`
`static int` | `IDENTIFIER`
`static int` | `IF`
`static int` | `INCREMENT`
`static int` | `INSTANCEOF`
`static int` | `INT`
`static int` | `INTLITERAL`
`static int` | `JNULL`
`static int` | `LESSEQUAL`
`static int` | `LOGICALAND`
`static int` | `LOGICALOR`
`static int` | `MINUSEQUAL`
`static int` | `MODULOEQUAL`
`static int` | `nDebug`
`static int` | `nDebug2`
`static int` | `NEW`
`static int` | `NOTEQUAL`
`static int` | `OP`
`static int` | `OREQUAL`
`de.dhbwstuttgart.typeinference.Menge` | `path`
`static int` | `PLUSEQUAL`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`static int` | `RELOP`
`static int` | `RETURN`
`static int` | `SHIFTLEFT`
`static int` | `SHIFTLEFTEQUAL`
`static int` | `SHIFTRIGHT`
`static int` | `SIGNEDSHIFTRIGHT`
`static int` | `SIGNEDSHIFTRIGHTEQUAL`
`static int` | `STATIC`
`static int` | `STRINGLITERAL`
`static int` | `SUPER`
`static int` | `SWITCH`
`static int` | `THIS`
`static int` | `THROW`
`static int` | `THROWS`
`static int` | `TIMESEQUAL`
`static int` | `TRY`
`static int` | `UNSIGNEDSHIFTRIGHT`
`static int` | `UNSIGNEDSHIFTRIGHTEQUAL`
`static int` | `VOID`
`static int` | `WHILE`
`static int` | `XOREQUAL`
`protected short[]` | `yyCheck`
`protected static short[]` | `yyDefRed`
`protected static short[]` | `yyDgoto`
`static int` | `yyErrorCode`
`protected static int` | `yyFinal` debugging support, requires the package jay.yydebug.
`protected static short[]` | `yyGindex`
`protected static short[]` | `yyLen`
`protected static short[]` | `yyLhs`
`protected int` | `yyMax` initial size and increment of the state/value stack [default 256].
`protected static java.lang.String[]` | `yyName`
`protected static short[]` | `yyRindex`
`protected static short[]` | `yySindex`
`protected static short[]` | `yyTable`

Constructor Summary
`MyCompiler()`

Method Summary
`static void` | `Debug(java.lang.String str1, int nLevel)`
`static void` | `main(java.lang.String[] args)`
`static void` | `wandleTV2RefType(de.dhbwstuttgart.typeinference.Menge Parameter, de.dhbwstuttgart.typeinference.Menge KlassenVektor)`
`protected java.lang.Object` | `yyDefault(java.lang.Object first)` executed at the beginning of a reduce action.
`void` | `yyerror(java.lang.String message)` simplified error message.
`void` | `yyerror(java.lang.String message, java.lang.String[] expected)` (syntax) error message.
`protected java.lang.String[]` | `yyExpecting(int state)` computes list of expected tokens on error by tracing the tables.
`java.lang.Object` | `yyparse(JavaParser.yyInput yyLex)` the generated parser.
`java.lang.Object` | `yyparse(JavaParser.yyInput yyLex, java.lang.Object yydebug)` the generated parser, with debugging messages.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nDebug

    public static int nDebug

### nDebug2

    public static int nDebug2

### path

    public de.dhbwstuttgart.typeinference.Menge path

### ABSTRACT

    public static final int ABSTRACT

See Also:
  Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

See Also:
  Constant Field Values

### BREAK

    public static final int BREAK

See Also:
  Constant Field Values

### CASE

    public static final int CASE

See Also:
  Constant Field Values

### CATCH

    public static final int CATCH

See Also:
  Constant Field Values

### CHAR

    public static final int CHAR

See Also:
  Constant Field Values

### CLASS

    public static final int CLASS

See Also:
  Constant Field Values

### CONTINUE

    public static final int CONTINUE

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### DO

    public static final int DO

See Also:
  Constant Field Values

### ELSE

    public static final int ELSE

See Also:
  Constant Field Values

### EXTENDS

    public static final int EXTENDS

See Also:
  Constant Field Values

### FINALLY

    public static final int FINALLY

See Also:
  Constant Field Values

### FOR

    public static final int FOR

See Also:
  Constant Field Values

### IF

    public static final int IF

See Also:
  Constant Field Values

### INSTANCEOF

    public static final int INSTANCEOF

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### NEW

    public static final int NEW

See Also:
  Constant Field Values

### PRIVATE

    public static final int PRIVATE

See Also:
  Constant Field Values

### PROTECTED

    public static final int PROTECTED

See Also:
  Constant Field Values

### PUBLIC

    public static final int PUBLIC

See Also:
  Constant Field Values

### RETURN

    public static final int RETURN

See Also:
  Constant Field Values

### STATIC

    public static final int STATIC

See Also:
  Constant Field Values

### SUPER

    public static final int SUPER

See Also:
  Constant Field Values

### SWITCH

    public static final int SWITCH

See Also:
  Constant Field Values

### THIS

    public static final int THIS

See Also:
  Constant Field Values

### THROW

    public static final int THROW

See Also:
  Constant Field Values

### THROWS

    public static final int THROWS

See Also:
  Constant Field Values

### TRY

    public static final int TRY

See Also:
  Constant Field Values

### VOID

    public static final int VOID

See Also:
  Constant Field Values

### WHILE

    public static final int WHILE

See Also:
  Constant Field Values

### INTLITERAL

    public static final int INTLITERAL

See Also:
  Constant Field Values

### BOOLLITERAL

    public static final int BOOLLITERAL

See Also:
  Constant Field Values

### JNULL

    public static final int JNULL

See Also:
  Constant Field Values

### CHARLITERAL

    public static final int CHARLITERAL

See Also:
  Constant Field Values

### STRINGLITERAL

    public static final int STRINGLITERAL

See Also:
  Constant Field Values

### IDENTIFIER

    public static final int IDENTIFIER

See Also:
  Constant Field Values

### EQUAL

    public static final int EQUAL

See Also:
  Constant Field Values

### LESSEQUAL

    public static final int LESSEQUAL

See Also:
  Constant Field Values

### GREATEREQUAL

    public static final int GREATEREQUAL

See Also:
  Constant Field Values

### NOTEQUAL

    public static final int NOTEQUAL

See Also:
  Constant Field Values

### LOGICALOR

    public static final int LOGICALOR

See Also:
  Constant Field Values

### LOGICALAND

    public static final int LOGICALAND

See Also:
  Constant Field Values

### INCREMENT

    public static final int INCREMENT

See Also:
  Constant Field Values

### DECREMENT

    public static final int DECREMENT

See Also:
  Constant Field Values

### SHIFTLEFT

    public static final int SHIFTLEFT

See Also:
  Constant Field Values

### SHIFTRIGHT

    public static final int SHIFTRIGHT

See Also:
  Constant Field Values

### UNSIGNEDSHIFTRIGHT

    public static final int UNSIGNEDSHIFTRIGHT

See Also:
  Constant Field Values

### SIGNEDSHIFTRIGHT

    public static final int SIGNEDSHIFTRIGHT

See Also:
  Constant Field Values

### PLUSEQUAL

    public static final int PLUSEQUAL

See Also:
  Constant Field Values

### MINUSEQUAL

    public static final int MINUSEQUAL

See Also:
  Constant Field Values

### TIMESEQUAL

    public static final int TIMESEQUAL

See Also:
  Constant Field Values

### DIVIDEEQUAL

    public static final int DIVIDEEQUAL

See Also:
  Constant Field Values

### ANDEQUAL

    public static final int ANDEQUAL

See Also:
  Constant Field Values

### OREQUAL

    public static final int OREQUAL

See Also:
  Constant Field Values

### XOREQUAL

    public static final int XOREQUAL

See Also:
  Constant Field Values

### MODULOEQUAL

    public static final int MODULOEQUAL

See Also:
  Constant Field Values

### SHIFTLEFTEQUAL

    public static final int SHIFTLEFTEQUAL

See Also:
  Constant Field Values

### SIGNEDSHIFTRIGHTEQUAL

    public static final int SIGNEDSHIFTRIGHTEQUAL

See Also:
  Constant Field Values

### UNSIGNEDSHIFTRIGHTEQUAL

    public static final int UNSIGNEDSHIFTRIGHTEQUAL

See Also:
  Constant Field Values

### BRACE

    public static final int BRACE

See Also:
  Constant Field Values

### RELOP

    public static final int RELOP

See Also:
  Constant Field Values

### OP

    public static final int OP

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### yyErrorCode

    public static final int yyErrorCode

See Also:
  Constant Field Values

### yyFinal

    protected static final int yyFinal

  debugging support, requires the package jay.yydebug. Set to null to suppress debugging messages.

  See Also:
    Constant Field Values

### yyName

    protected static final java.lang.String[] yyName

### yyMax

    protected int yyMax

  initial size and increment of the state/value stack [default 256]. This is not final so that it can be overwritten outside of invocations of yyparse().

### yyLhs

    protected static final short[] yyLhs

### yyLen

    protected static final short[] yyLen

### yyDefRed

    protected static final short[] yyDefRed

### yyDgoto

    protected static final short[] yyDgoto

### yySindex

    protected static final short[] yySindex

### yyRindex

    protected static final short[] yyRindex

### yyGindex

    protected static final short[] yyGindex

### yyTable

    protected static final short[] yyTable

### yyCheck

    protected short[] yyCheck

Constructor Detail

### MyCompiler

    public MyCompiler()

Method Detail

### Debug

    public static void Debug(java.lang.String str1,
                             int nLevel)

### main

    public static void main(java.lang.String[] args)

### wandleTV2RefType

    public static void wandleTV2RefType(de.dhbwstuttgart.typeinference.Menge Parameter,
                                        de.dhbwstuttgart.typeinference.Menge KlassenVektor)

### yyerror

    public void yyerror(java.lang.String message)

  simplified error message.

  See Also:
    yyerror

### yyerror

    public void yyerror(java.lang.String message,
                        java.lang.String[] expected)

  (syntax) error message. Can be overwritten to control message format.

  Parameters:
    `message` - text to be displayed.
    `expected` - Menge of acceptable tokens, if available.

### yyExpecting

    protected java.lang.String[] yyExpecting(int state)

  computes list of expected tokens on error by tracing the tables.

  Parameters:
    `state` - for which to compute the list.
  Returns:
    list of token names.

### yyparse

    public java.lang.Object yyparse(JavaParser.yyInput yyLex,
                                    java.lang.Object yydebug)
                             throws java.io.IOException,
                                    JavaParser.yyException

  the generated parser, with debugging messages. Maintains a state and a value stack, currently with fixed maximum size.

  Parameters:
    `yyLex` - scanner.
    `yydebug` - debug message writer implementing yyDebug, or null.
  Returns:
    result of the last reduction, if any.
  Throws:
    `JavaParser.yyException` - on irrecoverable parse error.
    `java.io.IOException`
    `JavaParser.yyException`

### yyDefault

    protected java.lang.Object yyDefault(java.lang.Object first)

  executed at the beginning of a reduce action. Used as $$ = yyDefault($1), prior to the user-specified action, if any. Can be overwritten to provide deep copy, etc.

  Parameters:
    `first` - value for $1, or null.
  Returns:
    first.

### yyparse

    public java.lang.Object yyparse(JavaParser.yyInput yyLex)
                             throws java.io.IOException,
                                    JavaParser.yyException

  the generated parser. Maintains a state and a value stack, currently with fixed maximum size.

  Parameters:
    `yyLex` - scanner.
  Returns:
    result of the last reduction, if any.
  Throws:
    `JavaParser.yyException` - on irrecoverable parse error.
    `java.io.IOException`
    `JavaParser.yyException`

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD